<?php

//3 是单用户版本,只能一台机器激活 4 是家庭用户版本 3台机器可以激活
if( isset($_GET['vNum']) )
{ 
   $versionNum = $_GET['vNum'];    
}
else
{
    $versionNum = 3;  //默认3
  
}

if( isset($_GET['vnum']) )
{ 
   $versionNum = $_GET['vnum'];    
}
else
{
    $versionNum = 3;  //默认3
  
}

//插入序列号到数据库
if( isset($_GET['key']) )
{ 
   $regKey = $_GET['key'];    
}
else
{
  print_r("没有输入序列号!");
  exit;
}

if( isset($_GET['mail']) )
{ 
  $email = $_GET['mail'];    
}
else
{
  print_r("没有输入邮箱!");
  exit;
}

if( isset($_GET['os']) )
{ 
  $os = $_GET['os'];    
}
else
{
  print_r("没有输入系统!");
  exit;
}

if( isset($_GET['lan']) )
{ 
  $lan = $_GET['lan'];    
}
else
{
  print_r("没有输入语言!");
  exit;
}

if( isset($_GET['mac']) )
{ 
  $netMac = $_GET['mac'];    
}
else
{
  print_r("没有输入语言!");
  exit;
}
 

//连接MySQL
$conn = @mysql_connect("localhost", "gili0512", "nIJ9qatVBLKS");

if($conn == FALSE)
{	
  print_r("连接失败!");
  exit;
}

//选择数据库
mysql_select_db("gili0512_livecheck");

//执行SQL





if($versionNum !=4)//如果是单机版
{
 print_r("单机版");

	//查询该序列号和网卡mac 是否注册过？
	$result = @mysql_query("SELECT * FROM gsemailinfo where netMAC='$netMac' and RegKey='$regKey'");

	//显示查询结果
	 
	if(mysql_num_rows($result) > 0)//已经激活过
	{
 print_r("单机版1");
		$result = @mysql_query("INSERT INTO gslicenseinfo(id,RegKey,IsExpired) VALUES (0, '$regKey',0)");
		print_r("success");
	}
	else
	{
 print_r("单机版2-");
		$result = @mysql_query("SELECT * FROM gsemailinfo where RegKey='$regKey' ");
 print_r($result);
		if (mysql_num_rows($result) > 0)//对于单机版 不能一个序列号多个机器
		{
 print_r("单机版21");
			print_r("failed");
		}
                else
		{
 print_r("单机版22");
			//执行SQL
			$result = @mysql_query("INSERT INTO gsemailinfo(id,RegKey,Email,OS,Language,netMAC) VALUES (0, '$regKey','$email','$os','$lan','$netMac')");
			$result = @mysql_query("INSERT INTO gslicenseinfo(id,RegKey,IsExpired) VALUES (0, '$regKey',0)");
	
			//显示查询结果
			if ($result)
			{
 print_r("单机版221");
 		 	print_r("success");
			}
			else
			{
 print_r("单机版222");
 		 	print_r("failed");
			}
		}
	}

	//释放结果集
	mysql_free_result($result);
}

//如果是3用户版本  ？用户可以重复注册码

//?问题：一个序列号 几台机器可以注册码？

else if($versionNum ==4) 
{
       print_r("家庭版");

	//查询该序列号注册过多少次
	$result = @mysql_query("SELECT netMAC FROM gsemailinfo where RegKey='$regKey' ");

	//显示查询结果
 
	if(mysql_num_rows($result) >3)//已经激活过
	{
 print_r("家庭版1");
		print_r("failed");
	}
	else
	{
 print_r("家庭版2");
		//查询该序列号和网卡mac 是否注册过？
		$result = @mysql_query("SELECT * FROM gsemailinfo where netMAC='$netMac' and RegKey='$regKey' ");

		//显示查询结果
 
		if(mysql_num_rows($result) > 0)//已经激活过
		{
 print_r("家庭版21");
			$result = @mysql_query("INSERT INTO gslicenseinfo(id,RegKey,IsExpired) VALUES (0, '$regKey',0)");
			print_r("success");
		}
		else
		{
			//执行SQL
			$result = @mysql_query("INSERT INTO gsemailinfo(id,RegKey,Email,OS,Language,netMAC) VALUES (0, '$regKey','$email','$os','$lan','$netMac')");
			
 print_r("家庭版22");
			//显示查询结果
			if ($result)
			{
 	 			print_r("success");
			}
			else
			{
 			 	print_r("failed");
			}
			$result = @mysql_query("INSERT INTO gslicenseinfo(id,RegKey,IsExpired) VALUES (0, '$regKey',0)");

		}
	}
 

	//释放结果集
	mysql_free_result($result);
}



//关闭连接
mysql_close();


?> 
